Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.beaneditor
Class BeanModelUtils

    java.lang.Object
      org.apache.tapestry5.internal.beaneditor.BeanModelUtils

    public final class BeanModelUtils

extends java.lang.Object

Utilities used in a few places to modify an existing `BeanModel`.

Constructor Summary
`BeanModelUtils()`

Method Summary
`static void` | `add(BeanModel model, java.lang.String propertyNames)` Adds empty properties to the bean model.
`static void` | `exclude(BeanModel model, java.lang.String propertyNames)` Removes properties from the bean model.
`static void` | `include(BeanModel model, java.lang.String propertyNames)` Selects a subset of the properties to keep, and reorders them.
`static void` | `modify(BeanModel model, java.lang.String addPropertyNames, java.lang.String includePropertyNames, java.lang.String excludePropertyNames, java.lang.String reorderPropertyNames)` Performs standard set of modifications to a `BeanModel` .
`static void` | `reorder(BeanModel model, java.lang.String propertyNames)` Reorders properties within the bean model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanModelUtils

    public BeanModelUtils()

Method Detail

### modify

    public static void modify(BeanModel model,
                              java.lang.String addPropertyNames,
                              java.lang.String includePropertyNames,
                              java.lang.String excludePropertyNames,
                              java.lang.String reorderPropertyNames)

  Performs standard set of modifications to a `BeanModel` . First new properties may be added, then properties removed, then properties reordered.

  Parameters:
    `model` - to modifiy
    `addPropertyNames` - comma seperated list of property names to add, or null
    `includePropertyNames` - comma seperated list of property names to include
    `excludePropertyNames` - comma seperated list of property names to exclude, or null
    `reorderPropertyNames` - comma seperated list of property names to reorder, or null

### add

    public static void add(BeanModel model,
                           java.lang.String propertyNames)

  Adds empty properties to the bean model. New properties are added with a null `PropertyConduit`. `

  Parameters:
    `model` - to be modified
    `propertyNames` - comma-separated list of property names
  See Also:
    `BeanModel.addEmpty(String)`

### exclude

    public static void exclude(BeanModel model,
                               java.lang.String propertyNames)

  Removes properties from the bean model.

  Parameters:
    `model` -
    `propertyNames` - comma-separated list of property names
  See Also:
    `BeanModel.exclude(String...)`

### include

    public static void include(BeanModel model,
                               java.lang.String propertyNames)

  Selects a subset of the properties to keep, and reorders them.

### reorder

    public static void reorder(BeanModel model,
                               java.lang.String propertyNames)

  Reorders properties within the bean model.

  Parameters:
    `model` -
    `propertyNames` - comma-separated list of property names
  See Also:
    `BeanModel.reorder(String...)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.